USBIP_BIND_DRIVER(8)

NAME
usbip_bind_driver - change driver binding for USB/IP

SYNOPSIS
usbip_bind_driver [options]

DESCRIPTION
Driver bindings for USB devices can be changed using this program. It is used to export and unexport USB devices over USB/IP.

OPTIONS

-u, --usbip <busid>
    Make a device exportable

-o, --other <busid>
    Use a device by a local driver

-l, --list
    Print usb devices and their drivers

-L, --list2
    Print usb devices and their drivers in parseable mode

EXAMPLES

    server:# usbip_bind_driver --list
        - List driver assignments for usb devices.

    server:# usbip_bind_driver --usbip 1-2
        - Bind usbip-host.ko to the device of busid 1-2.
        - A usb device 1-2 is now exportable to other hosts!

    server:# usbip_bind_driver --other 1-2
        - Shutdown exporting and use the device locally.

SEE ALSO
usbip(8), usbipd(8)